ustrzcpy(3)

NAME
ustrzcpy - Copies a string into another one, specifying size. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *ustrzcpy(char *dest, int size, const char *src);

DESCRIPTION
This function copies `src' (including the terminating NULL character into `dest', whose length in bytes is specified by `size' and which is guaranteed to be null-terminated even if `src' is bigger than `size'. Note that, even for empty strings, your destination string must have at least enough bytes to store the terminating null character of the string, and your parameter size must reflect this. Otherwise, the debug version of Allegro will abort at an assertion, and the release version of Allegro will overrun the destination buffer.

RETURN VALUE
Returns the value of `dest'.

SEE ALSO
uconvert(3), ustrcpy(3), ustrzncpy(3), ex3buf(3), exgui(3)